ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.Breakpoint

Description

Breakpoint related types

Synopsis

- data BreakpointId = BreakpointId {
  - bi_tick_mod :: !Module
  - bi_tick_index :: !Int
  }
- data InternalBreakpointId = InternalBreakpointId {
  - ibi_tick_mod :: !Module
  - ibi_tick_index :: !Int
  - ibi_info_mod :: !Module
  - ibi_info_index :: !Int
  }
- toBreakpointId :: InternalBreakpointId -> BreakpointId

# Documentation

data BreakpointId Source #

Breakpoint identifier.

See Note [Breakpoint identifiers]

Constructors

BreakpointId |

Fields

- bi_tick_mod :: !Module

  Breakpoint tick module

- bi_tick_index :: !Int

  Breakpoint tick index

data InternalBreakpointId Source #

Internal breakpoint identifier

See Note [Breakpoint identifiers]

Constructors

InternalBreakpointId |

Fields

- ibi_tick_mod :: !Module

  Breakpoint tick module

- ibi_tick_index :: !Int

  Breakpoint tick index

- ibi_info_mod :: !Module

  Breakpoint info module

- ibi_info_index :: !Int

  Breakpoint info index

toBreakpointId :: InternalBreakpointId -> BreakpointId Source #